#!/usr/bin/env python2.3
# -*- coding: utf-8 -*-


def check_versions():
    import sys

    major, minor = sys.version_info[0:2]
    if major < 2 or minor < 3:
        raise AssertionError(
            "Python 2.3 or later required, but sys.version_info = %r" %
            (sys.version_info, )
        )


def setup():
    from distutils import core

    core.setup(
        name = "svnmailer_test",
        version = "1.0.8",
        description = "Test suite for the svnmailer package",
        author = "André Malo",
        author_email = "nd@perlig.de",
        url = "http://opensource.perlig.de/svnmailer/",
        license = "Apache License 2.0",

        package_dir = {'': 'src/lib'},
        packages = [
            'svnmailer_test', 'svnmailer_test.suite',
            'svnmailer_test.suite.notifier',
        ],
        data_files = [
            ('share/svnmailer_test', [
                'test/config1.txt',
                'test/config2.txt',
                'test/config3.txt',
                'test/config4.txt',
                'test/diff12.txt',
                'test/file1.txt',
                'test/file2.txt',
                'test/testrepos.dump',
            ]),
            ('share/svnmailer_test/tmp', ['test/tmp/.keep']),
        ],
    )


########### main ############
check_versions()
setup()
